Page MenuHomePhabricator

Remove TargetMachine::adjustPassManager
ClosedPublic

Authored by bjope on Nov 10 2022, 12:12 PM.

Details

Summary

Since opt no longer supports to run default (O0/O1/O2/O3/Os/Oz)
pipelines using the legacy PM, there are no in-tree uses of
TargetMachine::adjustPassManager remaining. This patch removes the
no longer used adjustPassManager functions.

Diff Detail

Event Timeline

bjope created this revision.Nov 10 2022, 12:12 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 10 2022, 12:12 PM
bjope requested review of this revision.Nov 10 2022, 12:12 PM
Herald added a project: Restricted Project. · View Herald TranscriptNov 10 2022, 12:12 PM

could I have a couple days until submitting this? we have one more internal usage of this

llvm/docs/NewPassManager.rst
526

Readers might think that they have to add code to do this. It was already mentioned above that PassBuilder automatically does this, but I think reiterating that this is done automatically would be good

could I have a couple days until submitting this? we have one more internal usage of this

Sure. No hurry from my side really.

llvm/docs/NewPassManager.rst
526

I guess the important thing here is to guide anyone that hasn't migrated yet, and suddenly realize that adjustPassManager is gone, that whatever was in adjustPassManager() needs to be added in registerPassBuilderCallbacks() instead.

Maybe I just complicated things by trying to also mention that we now have removed the old adjustPassManager function. It was a bit weird to reference a function that no longer exists. One idea is to more or less restore the old text here, but add a note that adjustPassManager has been removed from the code base.

Anyway, I'll try to rephrase this.

aeubanks accepted this revision.Nov 26 2022, 9:57 AM

good from my side now, thanks for the wait

This revision is now accepted and ready to land.Nov 26 2022, 9:57 AM
This revision was landed with ongoing or failed builds.Nov 28 2022, 1:27 AM
This revision was automatically updated to reflect the committed changes.